diff --git a/basice2e/clients.goldoutput/client100.txt b/basice2e/clients.goldoutput/client100.txt
index a6c5a07bdfacb1e3ff2919b291da23bd73db3db9..04f0f262ed13f46a49ed39c9452fbf702e38bfa2 100644
--- a/basice2e/clients.goldoutput/client100.txt
+++ b/basice2e/clients.goldoutput/client100.txt
@@ -43,3 +43,24 @@ Message received: Hello from Niamh101, with E2E Encryption
 Message received: Hello from Niamh101, with E2E Encryption
 Message received: Hello from Niamh101, with E2E Encryption
 Received 20
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Sent: Hello from Jake100, with E2E Encryption
+Received 0
diff --git a/basice2e/clients.goldoutput/client101.txt b/basice2e/clients.goldoutput/client101.txt
index 3f2d5f80d4f3c90574c3acacd727e1f608b676f8..5d4fef8fd0cfdeec02d5650a4e2b5c143c27db70 100644
--- a/basice2e/clients.goldoutput/client101.txt
+++ b/basice2e/clients.goldoutput/client101.txt
@@ -42,3 +42,24 @@ Message received: Hello from Jake100, with E2E Encryption
 Message received: Hello from Jake100, with E2E Encryption
 Message received: Hello from Jake100, with E2E Encryption
 Received 20
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Message received: Hello from Jake100, with E2E Encryption
+Received 20
diff --git a/basice2e/permissioning.yaml b/basice2e/permissioning.yaml
index 1866555e9f7665ebc547a197bbbcb13ba5e75fa8..c6b3a849e51098c80bd8661584a45467536f86c9 100644
--- a/basice2e/permissioning.yaml
+++ b/basice2e/permissioning.yaml
@@ -19,13 +19,17 @@ dbAddress: "0.0.0.0:6969"
 
 minimumNodes: 5
 
-minGatewayVersion: "1.1.0"
-minServerVersion:  "1.0.0"
-minClientVersion: "1.0.0"
+minGatewayVersion: "2.0.0"
+minServerVersion:  "2.0.0"
+minClientVersion: "2.0.0"
 nodeMetricInterval: 3
 
 disableGatewayPing: true
 
+# Disable pruning of NDF for offline nodes
+# if set to false, network will sleep for five minutes on start
+disableNDFPruning: true
+
 # "Location of the user discovery contact file.
 udContactPath: "results/udContact.bin"
 udbAddress: "127.0.0.1:18001"
diff --git a/basice2e/run.sh b/basice2e/run.sh
index 60f84e6df26713d6eda505c9685c7f05a589761b..d4c99bf51b9849609d665ba8ba1b814584740a68 100755
--- a/basice2e/run.sh
+++ b/basice2e/run.sh
@@ -351,6 +351,22 @@ eval $CLIENTCMD >> $CLIENTOUT/client101.txt || true &
 PIDVAL2=$!
 echo "$CLIENTCMD -- $PIDVAL"
 wait $PIDVAL
+wait $PIDVAL2
+
+# Now we are just going to exhaust all the keys we have and see if we
+# use the unconfirmed channels
+CLIENTCMD="timeout 240s ../bin/client $CLIENTOPTS $REKEYOPTS -l $CLIENTOUT/client100.log -s blob100 --destid b64:$NIAMHID --sendCount 20 --receiveCount 0 -m \"Hello from Jake100, with E2E Encryption\""
+eval $CLIENTCMD >> $CLIENTOUT/client100.txt || true &
+PIDVAL=$!
+echo "$CLIENTCMD -- $PIDVAL"
+wait $PIDVAL
+# And receive those messages sent to us
+CLIENTCMD="timeout 240s ../bin/client $CLIENTOPTS $REKEYOPTS -l $CLIENTOUT/client101.log -s blob101 --destid b64:$JAKEID --sendCount 0 --receiveCount 20"
+eval $CLIENTCMD >> $CLIENTOUT/client101.txt || true &
+PIDVAL2=$!
+echo "$CLIENTCMD -- $PIDVAL"
+wait $PIDVAL2
+
 
 echo "FORCING HISTORICAL ROUNDS..."
 CLIENTCMD="timeout 240s ../bin/client $CLIENTOPTS --forceHistoricalRounds --unsafe -l $CLIENTOUT/client35.log -s blob35 --sendid 1 --destid 2 --sendCount 5 --receiveCount 5 -m \"Hello from 1, without E2E Encryption\""
@@ -370,7 +386,7 @@ wait $PIDVAL2
 echo "TESTING SINGLE-USE"
 
 # Generate contact file for client52
-CLIENTCMD="../bin/client init -s blob52 -l $CLIENTOUT/client52.log --password hello --ndf ndf.json --writeContact $CLIENTOUT/jono52-contact.bin"
+CLIENTCMD="../bin/client init -s blob52 -l $CLIENTOUT/client52.log --password hello --ndf results/ndf.json --writeContact $CLIENTOUT/jono52-contact.bin"
 eval $CLIENTCMD >> /dev/null 2>&1 || true &
 PIDVAL=$!
 echo "$CLIENTCMD -- $PIDVAL"
diff --git a/smokeinfra/permissioning.yaml b/smokeinfra/permissioning.yaml
index c950d0265c0a626521495a0d3ad3ab87ffd9a77b..d12fac199a9b9264203b0b8d3f96f6ebaea68249 100644
--- a/smokeinfra/permissioning.yaml
+++ b/smokeinfra/permissioning.yaml
@@ -21,13 +21,17 @@ dbAddress: "0.0.0.0:6969"
 
 minimumNodes: 3
 
-minGatewayVersion: "1.1.0"
-minServerVersion:  "1.0.0"
-minClientVersion: "1.0.0"
+minGatewayVersion: "2.0.0"
+minServerVersion:  "2.0.0"
+minClientVersion: "2.0.0"
 nodeMetricInterval: 3
 
 disableGatewayPing: true
 
+# Disable pruning of NDF for offline nodes
+# if set to false, network will sleep for five minutes on start
+disableNDFPruning: true
+
 clientRegCodes:
   - "FFFF"
   - "GGGG"